#include<iostream>
using namespace std;

char getUserCommand();

void addGrade(int grades[], int& gradeCount)
{
	//code here for Add
	cout << "Add a grade" << endl;
	cout << "Enter a new Grade:";
	int newGrade;
	cin >> newGrade;
	grades[gradeCount] = newGrade;
	gradeCount++;
}
void deleteGrade(int grades[], int& gradeCount)
{
	int gradeIndex;
	cout << "Which grade do you want to delete?";
	cout << "Enter a value between 1 and " << gradeCount << " > ";
	cin >> gradeIndex;
	gradeIndex--;
	gradeCount--;
	for (int i = gradeIndex; i < gradeCount; i++)
	{
		grades[i] = grades[i + 1];
	}
	
}

void listGrades(int grades[], int gradeCount)
{
	//code here for List
	cout << "List the grades" << endl;
	for (int i = 0; i < gradeCount; i++)
	{
		cout << i+1 << ": " << grades[i] << endl;
	}
	system("pause");
}



void main()
{
	const int MAX_SIZE = 100;
	int grades[MAX_SIZE];
	int gradeCount = 0;

	char userCommand = getUserCommand();

	while (userCommand != 'E')
	{
		//do the command
		switch (userCommand)
		{
			case 'A':
			case 'a':
				addGrade(grades, gradeCount);
				break;
			case 'L':
			case 'l':
				listGrades(grades, gradeCount);
				break;
			case 'S':
			case 's':
				//code here for Show grade
				cout << "Show a grade" << endl;
				break;
			case 'D':
			case 'd':
				deleteGrade(grades, gradeCount);
				//code here for Delete grade
				cout << "Delete a grade" << endl;
				break;
		}
		
		//ask for next command
		userCommand = getUserCommand();
	}


}

char getUserCommand()
{
	char result;
	//A - add a grade
	//L - list all grades
	//S - show a specific grade
	//D - delete a specific grade
	//E - exit

	do
	{
		system("cls");
		cout << "A - Add a grade" << endl;
		cout << "L - List all grades" << endl;
		cout << "S - Show a grade" << endl;
		cout << "D - Delete a grade" << endl;
		cout << "E - Exit" << endl;
		cout << ">";
		cin >> result;
	}
	while(result != 'A' && result != 'L' && result != 'S' &&
		  result != 'D' &&  result != 'E' &&
		  result != 'a' && result != 'l' && result != 's' &&
		  result != 'd' &&  result != 'e');

	return result;
}